1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PSP 2.81 - 1.5 without GTA?

Discussion in 'Sony Handhelds' started by chaosnova, Aug 5, 2007.

  1. chaosnova

    chaosnova Guest

    Hi, everyone. It's been a while since I've visited these forums, so this old member has one request..

    I wish to help my friend in downgrading his PSP to a 1.5 and hence to a 3.40 OE-A, but when I looked up the guides to downgrade 3.03 to 1.5 it says that you need GTA Liberty Stories.

    Is there a way to go from 2.81 to 1.5 or 3.40 OE-A without any GTA?

    Any help is appreciated... thanks.
     
  2. ThisDude

    ThisDude Regular member

    Joined:
    Oct 14, 2006
    Messages:
    875
    Likes Received:
    0
    Trophy Points:
    26
    With 2.81 you must have the GTA: LCS UMD "Unpatched" version to downgrade.

    It has to be a v2.00 aka "Unpatched"

    It has to be a UMD not a CSO /ISO file.
     
  3. ottesen07

    ottesen07 Regular member

    Joined:
    Aug 4, 2006
    Messages:
    283
    Likes Received:
    0
    Trophy Points:
    26
    you can upgrade to 3.50 and use luminous
     
    Last edited: Aug 6, 2007

Share This Page